import { StringValuesTypingsGenerator, ITypingsGeneratorBaseOptions } from '@rushstack/typings-generator';
import { NewlineKind } from '@rushstack/node-core-library';
import type { IgnoreStringFunction } from './interfaces';
/**
 * @public
 */
export interface ITypingsGeneratorOptions extends ITypingsGeneratorBaseOptions {
    exportAsDefault?: boolean;
    resxNewlineNormalization?: NewlineKind | undefined;
    ignoreMissingResxComments?: boolean | undefined;
    ignoreString?: IgnoreStringFunction;
    processComment?: (comment: string | undefined, resxFilePath: string, stringName: string) => string | undefined;
}
/**
 * This is a simple tool that generates .d.ts files for .loc.json, .resx.json, .resjson, and .resx files.
 *
 * @public
 */
export declare class TypingsGenerator extends StringValuesTypingsGenerator {
    constructor(options: ITypingsGeneratorOptions);
}
//# sourceMappingURL=TypingsGenerator.d.ts.map